function loadinit(){
	load_mark(page);
	load_info();
}
function load_info(){
	ajaxobj=new AJAXRequest;
	ajaxobj.method="POST"; 
	ajaxobj.url="/httpreq/diary.asp?action=info&sortid="+escape(sortid);
	ajaxobj.callback=function(xmlobj) {
		var response = xmlobj.responseText.split("$$");
		my_getbyid("Hits").innerHTML =response[0];
		my_getbyid("Tran").innerHTML =response[2];
		my_getbyid("Grad").innerHTML =response[1];
		}
ajaxobj.send();
}
function load_mark(page)
{
my_getbyid("list").innerHTML =template;
var ajaxobj=new AJAXRequest;
ajaxobj.method="POST"; 
ajaxobj.url="/httpreq/data.asp?action=mark&Maxpage=10&MaxTop=0&Table=1&skin=0&Order=0&page="+escape(page)+"&sortid="+escape(sortid);
ajaxobj.callback=function(xmlobj) {
var response = xmlobj.responseText.split("$$");
	my_getbyid("list").innerHTML =response[0];
	if (response[2]!=0){
		 var pagediv=PageList(page,splitn,response[1],response[2],'load_mark');
		 my_getbyid("list_page").innerHTML =pagediv;
		 }
		if (response[3]==0)
			{
			my_getbyid("form_mark").style.display ="";
			my_getbyid("form_mark").innerHTML='<div class="diary_title">请先登录再发表评论! <a href=/login.asp>登录</a></div>';
			}
			else
		{
			my_getbyid("form_mark").style.display ="";
			my_getbyid("Userid").value =response[3];
			my_getbyid("Password").value =response[4];
			}
}
ajaxobj.send();
}
function subpass(){
var vpass=my_getbyid('ViewPass').value;
var ajaxobj=new AJAXRequest;
ajaxobj.method="POST"; 
ajaxobj.url="/httpreq/diary.asp?action=vpass&sortid="+sortid+"&vpass="+escape(vpass);
ajaxobj.callback=function(xmlobj) {
var response = xmlobj.responseText;
my_getbyid("view").innerHTML =response;
}
ajaxobj.send();
}

function addfreind(){
	ajaxobj=new AJAXRequest;
	ajaxobj.method="POST"; 
	ajaxobj.url="/httpreq/user.asp?action=addfreind&TypeID=0&userid="+escape(userid);
	//typeid=0关注,1为收藏
	ajaxobj.callback=function(xmlobj) {
		var response = xmlobj.responseText;
		show_info(response,'200','100');
		setTimeout("sdis_play()",5000);
		}
	ajaxobj.send();
}

function refreshRand() {
	my_getbyid('refreshRand').src ="/getcode.asp?random="+Math.random();
}
